﻿using System.Collections.Generic;

namespace DataAccess
{
    public interface IProductRepository
    {
        List<Category> GetCategories();
        Category GetCategory(string categoryName);
        List<Product> GetProductsForCategory(Category c);
        Product GetProduct(int? productID);

        List<Product> GetAllProducts();
        Category GetCategoryById(int categoryID);
    }
}
