﻿using System.Threading;
using MbUnit.Framework;
using WatiN.Core;
using System;

namespace TestingApplicationsWithMbUnit.Tests
{
    [TestFixture(ApartmentState = ApartmentState.STA)]
    public class PlaceOrderTest
    {
        [Test]
        public void PlaceOrder_StandardResponse_Successful()
        {
            using (IE ie = new IE("http://localhost:49946/TestingApplicationsWithMbUnit/PlaceOrder.aspx"))
            {
                ie.Button(Find.ByValue("Push Me")).Click();
                bool result = ie.Text.Contains("Order Successful");
                Assert.IsTrue(result);
            }
        }
    }
}
