﻿<%@ Page Language="C#" MasterPageFile="~/Master.master" AutoEventWireup="true" CodeFile="ListCategories.aspx.cs" Inherits="ListCategories" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<h2>List Categories</h2>
    <asp:ListView ID="ListView1" runat="server" DataSourceID="ObjectDataSource1" 
        GroupItemCount="3">
        <AlternatingItemTemplate>
            <td runat="server" style="background-color:#FFF8DC;">
                CategoryID:
                <asp:HyperLink ID="CategoryIDLink" runat="server" 
                    Text='<%# Eval("CategoryName") %>' 
                    NavigateUrl=<%# "~/ListProductInCategories.aspx?CategoryID=" + Eval("CategoryID") %> />
                <br />
                CategoryName:
                <asp:Label ID="CategoryNameLabel" runat="server" 
                    Text='<%# Eval("CategoryName") %>' />
                <br />
                Description:
                <asp:Label ID="DescriptionLabel" runat="server" 
                    Text='<%# Eval("Description") %>' />
                <br />
            </td>
        </AlternatingItemTemplate>
        <LayoutTemplate>
            <table runat="server">
                <tr runat="server">
                    <td runat="server">
                        <table ID="groupPlaceholderContainer" runat="server" border="1" 
                            style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
                            <tr ID="groupPlaceholder" runat="server">
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr runat="server">
                    <td runat="server" 
                        style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
        <EmptyItemTemplate>
            <td runat="server" />
            </EmptyItemTemplate>
            <InsertItemTemplate>
                <td runat="server" style="">
                    CategoryID:
                    <asp:TextBox ID="CategoryIDTextBox" runat="server" 
                        Text='<%# Bind("CategoryID") %>' />
                    <br />
                    CategoryName:
                    <asp:TextBox ID="CategoryNameTextBox" runat="server" 
                        Text='<%# Bind("CategoryName") %>' />
                    <br />
                    Description:
                    <asp:TextBox ID="DescriptionTextBox" runat="server" 
                        Text='<%# Bind("Description") %>' />
                    <br />
                    Picture:
                    <asp:TextBox ID="PictureTextBox" runat="server" Text='<%# Bind("Picture") %>' />
                    <br />
                    Products:
                    <asp:TextBox ID="ProductsTextBox" runat="server" 
                        Text='<%# Bind("Products") %>' />
                    <br />
                    <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
                        Text="Insert" />
                    <br />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Clear" />
                    <br />
                </td>
            </InsertItemTemplate>
            <SelectedItemTemplate>
                <td runat="server" 
                    style="background-color:#008A8C;font-weight: bold;color: #FFFFFF;">
                    CategoryID:
                    <asp:Label ID="CategoryIDLabel" runat="server" 
                        Text='<%# Eval("CategoryID") %>' />
                    <br />
                    CategoryName:
                    <asp:Label ID="CategoryNameLabel" runat="server" 
                        Text='<%# Eval("CategoryName") %>' />
                    <br />
                    Description:
                    <asp:Label ID="DescriptionLabel" runat="server" 
                        Text='<%# Eval("Description") %>' />
                    <br />
                    Picture:
                    <asp:Label ID="PictureLabel" runat="server" Text='<%# Eval("Picture") %>' />
                    <br />
                    Products:
                    <asp:Label ID="ProductsLabel" runat="server" Text='<%# Eval("Products") %>' />
                    <br />
                </td>
            </SelectedItemTemplate>
            <GroupTemplate>
                <tr ID="itemPlaceholderContainer" runat="server">
                    <td ID="itemPlaceholder" runat="server">
                    </td>
                </tr>
            </GroupTemplate>
            <EmptyDataTemplate>
                <table runat="server" 
                    style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;">
                    <tr>
                        <td>
                            No data was returned.</td>
                    </tr>
                </table>
            </EmptyDataTemplate>
            <EditItemTemplate>
                <td runat="server" style="background-color:#008A8C;color: #FFFFFF;">
                    CategoryID:
                    <asp:TextBox ID="CategoryIDTextBox" runat="server" 
                        Text='<%# Bind("CategoryID") %>' />
                    <br />
                    CategoryName:
                    <asp:TextBox ID="CategoryNameTextBox" runat="server" 
                        Text='<%# Bind("CategoryName") %>' />
                    <br />
                    Description:
                    <asp:TextBox ID="DescriptionTextBox" runat="server" 
                        Text='<%# Bind("Description") %>' />
                    <br />
                    Picture:
                    <asp:TextBox ID="PictureTextBox" runat="server" Text='<%# Bind("Picture") %>' />
                    <br />
                    Products:
                    <asp:TextBox ID="ProductsTextBox" runat="server" 
                        Text='<%# Bind("Products") %>' />
                    <br />
                    <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
                        Text="Update" />
                    <br />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Cancel" />
                    <br />
                </td>
            </EditItemTemplate>
            <ItemTemplate>
                <td runat="server" style="background-color:#DCDCDC; color: #000000;">
                    CategoryID:
                <asp:HyperLink ID="CategoryIDLink" runat="server" 
                    Text='<%# Eval("CategoryName") %>' 
                    NavigateUrl=<%# "~/ListProductInCategories.aspx?CategoryID=" + Eval("CategoryID") %> />
                    <br />
                    CategoryName:
                    <asp:Label ID="CategoryNameLabel" runat="server" 
                        Text='<%# Eval("CategoryName") %>' />
                    <br />
                    Description:
                    <asp:Label ID="DescriptionLabel" runat="server" 
                        Text='<%# Eval("Description") %>' />
                    <br />
                </td>
            </ItemTemplate>
            </asp:ListView>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
        SelectMethod="GetCategories" TypeName="BusinessLogic.ProductController">
    </asp:ObjectDataSource>
</asp:Content>

