﻿using System;
using System.Collections.Generic;
using System.Web.UI;
using BusinessLogic;
using DataAccess;

public partial class ListProductInCategories : Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        int categoryid;
        bool querystring = int.TryParse(Request.QueryString["CategoryID"], out categoryid);

        if (!querystring)
        {
            DisplayError("CategoryID not found");
            return;
        }

        Category c = ProductController.FindCategoryByID(categoryid);
        List<Product> productList = ProductController.GetProductsForCategory(c);
        ListView1.DataSource = productList;
        ListView1.DataBind();
    }

    private void DisplayError(string error)
    {
    }
}
