﻿<%@ Page Language="C#" MasterPageFile="~/Master.master" AutoEventWireup="true" CodeFile="ListProducts.aspx.cs" Inherits="ListProducts" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<h2>List Products</h2>
    <asp:ListView ID="ListView1" runat="server" DataSourceID="ObjectDataSource1">
        <AlternatingItemTemplate>
            <li style="background-color: #FFF8DC;">ProductID:
                <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                <br />
                ProductName:
                <asp:Label ID="ProductNameLabel" runat="server" 
                    Text='<%# Eval("ProductName") %>' />
                <br />
                CategoryID:
                <asp:Label ID="CategoryIDLabel" runat="server" 
                    Text='<%# Eval("CategoryID") %>' />
                <br />
                UnitPrice:
                <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                <br />
                UnitsInStock:
                <asp:Label ID="UnitsInStockLabel" runat="server" 
                    Text='<%# Eval("UnitsInStock") %>' />
                <br />
                <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" 
                    Checked='<%# Eval("Discontinued") %>' Enabled="false" Text="Discontinued" />
                <br />
                Order_Details:
                <asp:Label ID="Order_DetailsLabel" runat="server" 
                    Text='<%# Eval("Order_Details") %>' />
                <br />
                Category:
                <asp:Label ID="CategoryLabel" runat="server" Text='<%# Eval("Category") %>' />
                <br />
            </li>
        </AlternatingItemTemplate>
        <LayoutTemplate>
            <ul ID="itemPlaceholderContainer" runat="server" 
                style="font-family: Verdana, Arial, Helvetica, sans-serif;">
                <li ID="itemPlaceholder" runat="server" />
                </ul>
                <div style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
                    <asp:DataPager ID="DataPager1" runat="server">
                        <Fields>
                            <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" 
                                ShowLastPageButton="True" />
                        </Fields>
                    </asp:DataPager>
                </div>
            </LayoutTemplate>
            <InsertItemTemplate>
                <li style="">ProductID:
                    <asp:TextBox ID="ProductIDTextBox" runat="server" 
                        Text='<%# Bind("ProductID") %>' />
                    <br />
                    ProductName:
                    <asp:TextBox ID="ProductNameTextBox" runat="server" 
                        Text='<%# Bind("ProductName") %>' />
                    <br />
                    CategoryID:
                    <asp:TextBox ID="CategoryIDTextBox" runat="server" 
                        Text='<%# Bind("CategoryID") %>' />
                    <br />
                    UnitPrice:
                    <asp:TextBox ID="UnitPriceTextBox" runat="server" 
                        Text='<%# Bind("UnitPrice") %>' />
                    <br />
                    UnitsInStock:
                    <asp:TextBox ID="UnitsInStockTextBox" runat="server" 
                        Text='<%# Bind("UnitsInStock") %>' />
                    <br />
                    <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" 
                        Checked='<%# Bind("Discontinued") %>' Text="Discontinued" />
                    <br />
                    Order_Details:
                    <asp:TextBox ID="Order_DetailsTextBox" runat="server" 
                        Text='<%# Bind("Order_Details") %>' />
                    <br />
                    Category:
                    <asp:TextBox ID="CategoryTextBox" runat="server" 
                        Text='<%# Bind("Category") %>' />
                    <br />
                    <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
                        Text="Insert" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Clear" />
                </li>
            </InsertItemTemplate>
            <SelectedItemTemplate>
                <li style="background-color: #008A8C;font-weight: bold;color: #FFFFFF;">ProductID:
                    <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                    <br />
                    ProductName:
                    <asp:Label ID="ProductNameLabel" runat="server" 
                        Text='<%# Eval("ProductName") %>' />
                    <br />
                    CategoryID:
                    <asp:Label ID="CategoryIDLabel" runat="server" 
                        Text='<%# Eval("CategoryID") %>' />
                    <br />
                    UnitPrice:
                    <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                    <br />
                    UnitsInStock:
                    <asp:Label ID="UnitsInStockLabel" runat="server" 
                        Text='<%# Eval("UnitsInStock") %>' />
                    <br />
                    <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" 
                        Checked='<%# Eval("Discontinued") %>' Enabled="false" Text="Discontinued" />
                    <br />
                    Order_Details:
                    <asp:Label ID="Order_DetailsLabel" runat="server" 
                        Text='<%# Eval("Order_Details") %>' />
                    <br />
                    Category:
                    <asp:Label ID="CategoryLabel" runat="server" Text='<%# Eval("Category") %>' />
                    <br />
                </li>
            </SelectedItemTemplate>
            <EmptyDataTemplate>
                No data was returned.
            </EmptyDataTemplate>
            <EditItemTemplate>
                <li style="background-color: #008A8C;color: #FFFFFF;">ProductID:
                    <asp:TextBox ID="ProductIDTextBox" runat="server" 
                        Text='<%# Bind("ProductID") %>' />
                    <br />
                    ProductName:
                    <asp:TextBox ID="ProductNameTextBox" runat="server" 
                        Text='<%# Bind("ProductName") %>' />
                    <br />
                    CategoryID:
                    <asp:TextBox ID="CategoryIDTextBox" runat="server" 
                        Text='<%# Bind("CategoryID") %>' />
                    <br />
                    UnitPrice:
                    <asp:TextBox ID="UnitPriceTextBox" runat="server" 
                        Text='<%# Bind("UnitPrice") %>' />
                    <br />
                    UnitsInStock:
                    <asp:TextBox ID="UnitsInStockTextBox" runat="server" 
                        Text='<%# Bind("UnitsInStock") %>' />
                    <br />
                    <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" 
                        Checked='<%# Bind("Discontinued") %>' Text="Discontinued" />
                    <br />
                    Order_Details:
                    <asp:TextBox ID="Order_DetailsTextBox" runat="server" 
                        Text='<%# Bind("Order_Details") %>' />
                    <br />
                    Category:
                    <asp:TextBox ID="CategoryTextBox" runat="server" 
                        Text='<%# Bind("Category") %>' />
                    <br />
                    <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
                        Text="Update" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Cancel" />
                </li>
            </EditItemTemplate>
            <ItemTemplate>
                <li style="background-color: #DCDCDC;color: #000000;">ProductID:
                    <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                    <br />
                    ProductName:
                    <asp:Label ID="ProductNameLabel" runat="server" 
                        Text='<%# Eval("ProductName") %>' />
                    <br />
                    CategoryID:
                    <asp:Label ID="CategoryIDLabel" runat="server" 
                        Text='<%# Eval("CategoryID") %>' />
                    <br />
                    UnitPrice:
                    <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                    <br />
                    UnitsInStock:
                    <asp:Label ID="UnitsInStockLabel" runat="server" 
                        Text='<%# Eval("UnitsInStock") %>' />
                    <br />
                    <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" 
                        Checked='<%# Eval("Discontinued") %>' Enabled="false" Text="Discontinued" />
                    <br />
                </li>
            </ItemTemplate>
            <ItemSeparatorTemplate>
                <br />
            </ItemSeparatorTemplate>
        </asp:ListView>
        <p>
            <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
                SelectMethod="GetAllProducts" TypeName="BusinessLogic.ProductController">
            </asp:ObjectDataSource>
        </p>
</asp:Content>

