﻿using System;
using System.Web.UI;
using BusinessLogic;
using DataAccess;

public partial class PlaceOrder : Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Order o = new Order();
        o.OrderDate = DateTime.Now;
        o.Customer = FindCustomer("A123");
        
        Order_Detail or = new Order_Detail();
        or.Order = o;

        or.Product = FindProduct(1);
        o.Order_Details.Add(or);

        Payment p = new Payment();
        p.Amount = o.GetTotal();
        p.CustomerID = o.CustomerID;
        
        bool result = OrderController.PlaceOrder(o, p);
        order.Visible = true;

    }

    private Product FindProduct(int id)
    {
        return ProductController.GetProduct(id);
    }

    private Customer FindCustomer(string id)
    {
        return CustomerController.GetCustomer(id);
    }
}
