﻿using System.Collections.Generic;
using DataAccess;

namespace BusinessLogic
{
    public static class CustomerController
    {
        private static ICustomerRepository m_CustomerRep = new LinqCustomerRepository();

        public static ICustomerRepository CustomerRepository
        {
            get { return m_CustomerRep; }
            set { m_CustomerRep = value; }
        }

        public static List<Customer> GetCustomers()
        {
            return CustomerRepository.GetCustomers();
        }

        public static Customer GetCustomer(string customerId)
        {
            return CustomerRepository.GetCustomer(customerId);
        }
    }
}
