﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace DataAccess.Tests.Other
{
    [TestFixture]
    public class NUnitTransactionScope
    {
        System.Transactions.TransactionScope m_Scope;
 
        [SetUp]
        public void Setup()
        {
            m_Scope = new System.Transactions.TransactionScope();
        }

        [TearDown]
        public void Teardown()
        {
            //m_Scope.Complete();
            m_Scope.Dispose();
            m_Scope = null;
        }

        [Test]
        public void InsertCustomer()
        {
            Customer c = TestHelper.InsertCustomer();
            Console.WriteLine(c.CustomerID);
        }
    }
}
