﻿using System;
using System.Threading;
using MbUnit.Framework;
using WatiN.Core;

namespace TestingApplicationsWithMbUnit.Tests
{
 
    [TestFixture(ApartmentState = ApartmentState.STA)]
    public class WatiNTestFixture
    {
        //No internet access
        //[Test]
        //public void WatiNGoogleTest()
        //{
        //    using (IE ie = new IE("http://www.google.com"))
        //    {
        //        ie.TextField(Find.ByName("q")).TypeText("WatiN");
        //        ie.Button(Find.ByName("btnG")).Click();

        //        Assert.IsTrue(ie.ContainsText("WatiN"));
        //    }
        //}

        [Test]
        public void WatiNSearchText_SearchWatiN_TextDisplayedOnScreen()
        {
            IE ie = new IE("http://localhost:49992/WatiNSite/");

            // Find the search text field and type Watin in it.
            ie.TextField(Find.ByName("searchText")).TypeText("WatiN");

            // Click the search button.
            ie.Button(Find.ByValue("Search")).Click();

            //Verify it contains search term.
            bool result = ie.Text.Contains("WatiN");
            Console.WriteLine(ie.Text);
        }
    } 
}
