﻿using System;
using System.Threading;
using MbUnit.Framework;
using WatiN.Core;

namespace TestingApplicationsWithMbUnit.Tests
{
    [TestFixture(ApartmentState = ApartmentState.STA)]
    public class DefaultTests
    {
        [Test]
        public void Homepage_StandardResponse_SaysSorryAboutDesign()
        {
            using (IE ie = new IE("http://localhost:49946/TestingApplicationsWithMbUnit/"))
            {
                bool result = ie.Text.Contains("Sorry");
                Assert.IsTrue(result, "Home page did not say sorry!");
                Console.WriteLine(ie.Text);
            }
        }
    }
}
